import scala.concurrent._
import scala.concurrent.duration._
import ExecutionContext.Implicits.global
import scala.language.postfixOps 



lazy val f = Future {
  assert(fixpT((x:Int) => if (200000 < x) x else x + 1, 0) == 200001)
  assert(fixpT((x:Long) => if (20 < x) x else x + 1, 0L) == 21L)
}

Await.result(f, 90 second)
